# Function createHttpBackend

- createHttpBackend($browser): ((method: any, url: any, post: any, callback: any, headers: any, timeout: any, withCredentials: any, responseType: any, eventHandlers: any, uploadEventHandlers: any) => void)

- #### Parameters

  - $browser: Browser

  #### Returns ((method: any, url: any, post: any, callback: any, headers: any, timeout: any, withCredentials: any, responseType: any, eventHandlers: any, uploadEventHandlers: any) => void)

  - - (method, url, post, callback, headers, timeout, withCredentials, responseType, eventHandlers, uploadEventHandlers): void

    - #### Parameters

      - method: any
      - url: any
      - post: any
      - callback: any
      - headers: any
      - timeout: any
      - withCredentials: any
      - responseType: any
      - eventHandlers: any
      - uploadEventHandlers: any

      #### Returns void

  - Defined in services/http-backend/http-backend.js:34